FROM ruby:3.1.0

WORKDIR /usr/src/app

RUN gem install bundler:2.3.3

COPY Gemfile* ./

RUN bundle install

COPY . .

RUN rails db:migrate

RUN rake assets:precompile

EXPOSE 3000/tcp

CMD ["rails", "s", "-e", "production"]
